using System;

namespace SharpQuake
{
	internal interface ISoundController
	{
		bool IsInitialized { get; }

		void Init();

		void Shutdown();

		void ClearBuffer();

		byte[] LockBuffer();

		void UnlockBuffer(int count);

		int GetPosition();
	}
}
